name: icewhale-stable-diffusion-webui
services:
  icewhale-stable-diffusion-webui:
    image: johnguan/stable-diffusion-webui:latest
    runtime: nvidia
    ipc: host
    environment:
      - NVIDIA_VISIBLE_DEVICES=all
      - CPU_FALLBACK=true
    deploy:
      resources:
        reservations:
          memory: "512M"
    network_mode: bridge
    ports:
      - target: 7860
        published: "7860"
        protocol: tcp
    restart: unless-stopped
    volumes:
      - type: bind
        source: /DATA/AppData/Stable-Diffusion-WebUI/models
        target: /data/models
      - type: bind
        source: /DATA/AppData/Stable-Diffusion-WebUI/outputs
        target: /data/outputs
      - type: bind
        source: /DATA/AppData/Stable-Diffusion-WebUI/config
        target: /data/config
    privileged: false
    container_name: icewhale-stable-diffusion-webui
x-casaos:
  architectures:
    - amd64
  main: icewhale-stable-diffusion-webui
  developer: stability.ai
  category: Developer
  description:
    en_us: Stable Diffusion is a deep learning, text-to-image model released in 2022 based on diffusion techniques. It is primarily used to generate detailed images conditioned on text descriptions, though it can also be applied to other tasks such as inpainting, outpainting, and generating image-to-image translations guided by a text prompt.
    zh_cn: Stable Diffusion是一种基于扩散技术的深度学习文本到图像模型，于2022年发布。它主要用于根据文本描述生成详细的图像，但也可以应用于其他任务，例如修复、修复和根据文本提示生成图像到图像的转换。
  icon: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/StableDiffusionWebUI/icon.png
  screenshot_link:
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/StableDiffusionWebUI/screenshot-1.jpg
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/StableDiffusionWebUI/screenshot-2.png
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/StableDiffusionWebUI/screenshot-3.webp
  tagline:
    en_us: An AI model used to generate images conditioned on text descriptions.
    zh_cn: 用于根据文本描述生成图像的AI模型。
  scheme: http
  store_app_id: icewhale-stable-diffusion-webui
  title:
    en_us: Stable Diffusion
  index: /
  port_map: "7860"
